- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
CSL_AcCtrlObject Struct Reference
USB AC Data Structures

USB AC Control Object structure. More...

`#include <csl_audioClass.h>`

## Data Fields
CSL_UsbEpObj | ctrlInEpObj
| Control In Endpoint Object.
CSL_UsbDevNum | devNum
| Object of Type Device Number.
CSL_UsbEpObj | ctrlOutEpObj
| Control Out Endpoint Object.
Uint16 | suspendFlag
| Flag Used internally by APIs.
pUsbEpHandle | hEpObjArray [CSL_AC_NO_ENDPTOBJECT]
| NULL terminated array of Endpoint Objects.
CSL_UsbSetupStruct | usbSetup
| Setup Structure.
Uint16 | leftVolBuf [CSL_AC_VOLUME_CTRL_BUF_LEN]
| Buffer to hold the left volume information.
Uint16 | rightVolBuf [CSL_AC_VOLUME_CTRL_BUF_LEN]
| Buffer to hold the right volume information.
Uint16 | leftRightVolBuf [2 *CSL_AC_VOLUME_CTRL_BUF_LEN]
| Buffer to hold the left and right volume information.
Uint16 | muteCtrlBuf [CSL_AC_VOLUME_CTRL_BUF_LEN]
| Buffer to hold the mute ctrl information.
Uint16 | getMinBuffer [CSL_AC_GET_BUF_LEN]
| Buffer to service get minimum request.
Uint16 | getMaxBuffer [CSL_AC_GET_BUF_LEN]
| Buffer to service get maximum request.
Uint16 | getResBuffer [CSL_AC_GET_BUF_LEN]
| Buffer to service get resolution request.
Uint16 | dummydesc [63]
| Dummy descriptor array.
Uint16 | deviceQualifierDescr [CSL_AC_DEV_QUAL_DESCR_MAX_LEN]
| Device qualifier descriptor (Used in Full soeed mode)
Uint16 | deviceDescr [CSL_AC_DEVICE_DESCR_MAX_LEN]
| Device descriptor.
Uint16 | confDescr [CSL_AC_CONFIG_DESCR_MAX_LEN]
| Configuration descriptor.
Uint16 | audioClassIntDescr [CSL_AC_INTER_DESCR_MAX_LEN]
| Audio Class Interface descriptor.
Uint16 | audioClassIsoOutEndptDescr [CSL_AC_MS_ISOOUT_ENDPTDESC_LEN]
| Audio Class Iso Out Endpoint Descriptor.
CSL_UsbDataStruct | audioClassInterfcLnk
| Audio Class Interface descriptor Link.
Uint16 | audioClassIsoInEndptDescr [CSL_AC_MS_ISOIN_ENDPTDESC_LEN]
| Audio Class ISo In Endpoint Descriptor.
CSL_UsbDataStruct | audioClassIsoOutEndptLnk
| Audio Class Iso Out Endpoint Link.
Uint16 | stringDescrLangid [CSL_AC_STRING_DESCR_LANGID_MAX_LEN]
| String Descriptor Language ID.
Uint16 | curConfigStat
| Current Device Configuration Status.
CSL_UsbDataStruct | audioClassIsoInEndptLnk
| Audio Class Iso In Endpoint Link.
Uint16 | ctrlBuffer [CSL_AC_CTRLBUFF_LEN]
| Array used for General Purpose.
CSL_UsbDataStruct | configDescrLnk
| Configuration Descriptor Link.
char ** | strDescr
| String descriptor pointer.
CSL_AcRequestStruct * | acReqTable
| Pointer to the request Table.
CSL_AcRequestRet(* | fpRequestHandler )(CSL_AC_REQUEST_ARGS)
| Request handler function pointer.

## Detailed Description

USB AC Control Object structure.

Holds all the components for the Audio Class Control Object

The documentation for this struct was generated from the following file:

- csl_audioClass.h